/*
*******************************************************************************
**
**  This device driver was created by Applilet2 for 78K0/Kx2
**  8-Bit Single-Chip Microcontrollers
**
**  Copyright(C) NEC Electronics Corporation 2002 - 2012
**  All rights reserved by NEC Electronics Corporation.
**
**  This program should be used on your own responsibility.
**  NEC Electronics Corporation assumes no responsibility for any losses
**  incurred by customers or third parties arising from the use of this file.
**
**  Filename :	Int_user.c
**  Abstract :	This file implements device driver for INT module.
**  APIlib :	Applilet2 for 78K0/Kx2 V2.41 [29 Apr. 2008]
**
**  Device :	uPD78F0512_48
**
**  Compiler :	CC78K0
**
**  Creation date:	2012/03/08
**  
*******************************************************************************
*/

#pragma interrupt INTP1 MD_INTP1
#pragma interrupt INTP2 MD_INTP2
/*
*******************************************************************************
**  Include files
*******************************************************************************
*/
#include "macrodriver.h"
#include "Int.h"
#include "Timer.h"
/* Start user code for include definition. Do not edit comment generated here */

extern unsigned char	count;
extern unsigned char	rec[12];
extern unsigned char	count10_flg;

extern unsigned char	count_ir;
extern unsigned char	rec_ir[38];
extern unsigned char	flg_ir;
extern unsigned char	timer_ir;
extern unsigned char	offcnt_ir;
extern unsigned	char	ir_check;

/* End user code for include definition. Do not edit comment generated here */
#include "user_define.h"

/*
*******************************************************************************
**  Global define
*******************************************************************************
*/
/* Start user code for global definition. Do not edit comment generated here */
/* End user code for global definition. Do not edit comment generated here */


/*
**-----------------------------------------------------------------------------
**
**	Abstract:
**		This function is INTP1 interrupt service routine.
**
**	Parameters:
**		None
**
**	Returns:
**		None
**
**-----------------------------------------------------------------------------
*/
__interrupt void MD_INTP1( void )
{
	/* Start user code. Do not edit comment generated here */
	
	rec[count]=TM50;
	TM50_Stop();
	TM50_Start();
	
	count++;
	if(count==10){count10_flg=1;count=0;}
	
	/* End user code. Do not edit comment generated here */
}

/*
**-----------------------------------------------------------------------------
**
**	Abstract:
**		This function is INTP2 interrupt service routine.
**
**	Parameters:
**		None
**
**	Returns:
**		None
**
**-----------------------------------------------------------------------------
*/
__interrupt void MD_INTP2( void )
{
	/* Start user code. Do not edit comment generated here */
	if(ir_check==1){return;}
	rec_ir[count_ir]=timer_ir;
	timer_ir=0;
	count_ir++;
	if(count_ir>=36){
		count_ir=0;flg_ir=1;
	}
	TMH1_Stop();
	offcnt_ir=0;
	TMH1_Start();
	/* End user code. Do not edit comment generated here */
}

/* Start adding user code. Do not edit comment generated here */
/* End user code adding. Do not edit comment generated here */


