/*
*******************************************************************************
**
**  This device driver was created by Applilet2 for 78K0/Kx2
**  8-Bit Single-Chip Microcontrollers
**
**  Copyright(C) NEC Electronics Corporation 2002 - 2012
**  All rights reserved by NEC Electronics Corporation.
**
**  This program should be used on your own responsibility.
**  NEC Electronics Corporation assumes no responsibility for any losses
**  incurred by customers or third parties arising from the use of this file.
**
**  Filename :	Timer_user.c
**  Abstract :	This file implements device driver for Timer module.
**  APIlib :	Applilet2 for 78K0/Kx2 V2.41 [29 Apr. 2008]
**
**  Device :	uPD78F0512_48
**
**  Compiler :	CC78K0
**
**  Creation date:	2012/03/19
**  
*******************************************************************************
*/

#pragma interrupt INTTM000 MD_INTTM000
#pragma interrupt INTTM50 MD_INTTM50
#pragma interrupt INTTM51 MD_INTTM51
#pragma interrupt INTTMH0 MD_INTTMH0
#pragma interrupt INTTMH1 MD_INTTMH1
/*
*******************************************************************************
**  Include files
*******************************************************************************
*/
#include "macrodriver.h"
#include "Timer.h"
/* Start user code for include definition. Do not edit comment generated here */

extern unsigned char	timer00_over;
extern unsigned char	set_count;
extern unsigned char	count;

extern unsigned char	count_ir;
extern unsigned char	offcnt_ir;
extern unsigned char	offlg_ir;
extern unsigned char	timer_ir;

/* End user code for include definition. Do not edit comment generated here */
#include "user_define.h"

/*
*******************************************************************************
**  Global define
*******************************************************************************
*/
/* Start user code for global definition. Do not edit comment generated here */
/* End user code for global definition. Do not edit comment generated here */


/*
**-----------------------------------------------------------------------------
**
**	Abstract:
**		This function is INTTM000 interrupt service routine.
**
**	Parameters:
**		None
**
**	Returns:
**		None
**
**-----------------------------------------------------------------------------
*/
__interrupt void MD_INTTM000( void )
{
	/* Start user code. Do not edit comment generated here */
	timer00_over=1;
	/* End user code. Do not edit comment generated here */
}

/*
**-----------------------------------------------------------------------------
**
**	Abstract:
**		This function is INTTM50 interrupt service routine.
**
**	Parameters:
**		None
**
**	Returns:
**		None
**
**-----------------------------------------------------------------------------
*/
__interrupt void MD_INTTM50( void )
{
	/* Start user code. Do not edit comment generated here */
	count=0;
	/* End user code. Do not edit comment generated here */
}

/*
**-----------------------------------------------------------------------------
**
**	Abstract:
**		This function is INTTM51 interrupt service routine.
**
**	Parameters:
**		None
**
**	Returns:
**		None
**
**-----------------------------------------------------------------------------
*/
__interrupt void MD_INTTM51( void )
{
	/* Start user code. Do not edit comment generated here */
	if(set_count>0){
		set_count--;
	}
	/* End user code. Do not edit comment generated here */
}

/*
**-----------------------------------------------------------------------------
**
**	Abstract:
**		This function is INTTMH0 interrupt service routine.
**
**	Parameters:
**		None
**
**	Returns:
**		None
**
**-----------------------------------------------------------------------------
*/
__interrupt void MD_INTTMH0( void )
{
	/* Start user code. Do not edit comment generated here */
	
	timer_ir++;

	/* End user code. Do not edit comment generated here */
}

/*
**-----------------------------------------------------------------------------
**
**	Abstract:
**		This function is INTTMH1 interrupt service routine.
**
**	Parameters:
**		None
**
**	Returns:
**		None
**
**-----------------------------------------------------------------------------
*/
__interrupt void MD_INTTMH1( void )
{
	/* Start user code. Do not edit comment generated here */
	
	offcnt_ir++;
	if(offcnt_ir>=1){
		offcnt_ir=0;
		offlg_ir=1;
	}
	
	/* End user code. Do not edit comment generated here */
}

/* Start adding user code. Do not edit comment generated here */
/* End user code adding. Do not edit comment generated here */


